Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

# Class HeavyHitterModel

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.HeavyHitterModel

All Implemented Interfaces:
  `Serializable`

public class HeavyHitterModel extends BaseModel

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Long`
`count`
`double`
`duration`
`String`
`operation`
`Long`
`workerId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

## Constructor Summary

Constructors
Constructor
Description
`HeavyHitterModel()`
`HeavyHitterModel(Long id, Long workerId, String operation, double duration, Long count)`
`HeavyHitterModel(Long workerId, String operation, double duration, Long count)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### workerId

public Long workerId

### operation

public String operation

### duration

public double duration

### count

public Long count

## Constructor Details

### HeavyHitterModel

public HeavyHitterModel()

### HeavyHitterModel

public HeavyHitterModel(Long workerId, String operation, double duration, Long count)

### HeavyHitterModel

public HeavyHitterModel(Long id, Long workerId, String operation, double duration, Long count)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`